Last Comment Bug 708360 - Zombie compartment when using adblock plus "select element to hide" tool
: Zombie compartment when using adblock plus "select element to hide" tool
Status: RESOLVED FIXED
[MemShrink]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Wladimir Palant
:
Mentors:
http://www.zdnet.com/blog/microsoft/m...
Depends on:
Blocks: LeakyAddons
  Show dependency treegraph
 
Reported: 2011-12-07 12:18 PST by DB Cooper
Modified: 2012-01-13 12:50 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description DB Cooper 2011-12-07 12:18:31 PST
Using the "select element to hide" tool in adblock plus (w/ element hiding helper installed as well) creates a zombie compartment. e.g.

Navigate to a zdnet.com blog entry ( http://www.zdnet.com/blog/microsoft/microsoft-previews-windows-8-app-store-launching-with-the-beta-in-late-february/11340 ), and select the adblock plus menu item "select element to hide" then hit the ESC key to exit that task, and close the tab. A zdnet.com zombie compartment should appear in about:memory.

adblock plus version: 2.0b.3308
Element Hiding Helper: 1.1.3a.343

Confirmed by mozillazine builds forum member here:

http://forums.mozillazine.org/viewtopic.php?p=11537411#p11537411
Comment 1 DB Cooper 2011-12-07 12:21:28 PST
Bug observed on nightly moz central build for 2011-12-07, 32bit, win7 64bit.
Comment 2 alex_mayorga 2011-12-07 12:51:40 PST
Fixed in AdBlock Plus it seems https://adblockplus.org/forum/viewtopic.php?t=8866
Comment 3 DB Cooper 2011-12-07 12:59:32 PST
(In reply to alex_mayorga from comment #2)
> Fixed in AdBlock Plus it seems
> https://adblockplus.org/forum/viewtopic.php?t=8866

This is a different issue (I am not using the context menu), and I am using a later version of ABP which includes that patch.
Comment 4 DB Cooper 2011-12-07 13:01:49 PST
BTW, the adblock plus changelog is here:

https://adblockplus.org/devbuilds/adblockplus/00latest.changelog.xhtml

(I am using version #3308)
Comment 5 Wladimir Palant 2011-12-08 00:30:52 PST
This is an Element Hiding Helper issue, has been fixed: https://hg.adblockplus.org/elemhidehelper/rev/4183d108d566. Will release Element Hiding Helper 1.1.3 shortly.
Comment 6 Wladimir Palant 2011-12-08 01:23:25 PST
Release announcement: https://adblockplus.org/releases/element-hiding-helper-113-released. As usually, it will take longer until the new version is available on AMO as well.

Note You need to log in before you can comment on or make changes to this bug.